import React from 'react';
import { GroupActionComponents, RowActionComponents } from 'app/features/query/components/QueryActionComponent';
import { CreateRecordedQuery } from './RecordedQueryCreateModal';
import { RecordedQueryAddModal } from './RecordedQueryAddModal';

export function initRecordedQueries() {
  RowActionComponents.addExtraRenderAction(({ query, queries, onAddQuery, dataSource, onChangeDataSource }) => {
    return <CreateRecordedQuery query={query} queries={queries} onAddQuery={onAddQuery} dataSource={dataSource} />;
  });

  GroupActionComponents.addExtraRenderAction(({ query, queries, onAddQuery, dataSource, onChangeDataSource }) => {
    return (
      <RecordedQueryAddModal
        query={query}
        queries={queries}
        onAddQuery={onAddQuery}
        dataSource={dataSource}
        onChangeDataSource={onChangeDataSource}
      />
    );
  });
}
